Class UmlBaseClassView

Manage the class views

Declaration :

- C++ : class UmlBaseClassView : public UmlView
- Java : abstract class UmlBaseClassView extends UmlView

Directly inherited by : UmlClassView

Artifact : UmlBaseClassView

Operation create

returns a new class view named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlPackage, in s : str) : UmlClassView, exceptions : RuntimeException
- C++ : public: static UmlClassView * create(UmlPackage * parent, const char * s)
- Java : public static UmlClassView create(UmlPackage parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation associatedDeploymentView

returns the optional associated deployment view

Declaration :

- Uml : + associatedDeploymentView() : UmlDeploymentView
- C++ : public: UmlDeploymentView * associatedDeploymentView()
- Java : public UmlDeploymentView associatedDeploymentView()

Operation set_AssociatedDeploymentView

sets the associated deployment view, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDeploymentView(inout v : UmlDeploymentView) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDeploymentView(UmlDeploymentView * v)
- Java : public void set_AssociatedDeploymentView(UmlDeploymentView v) throws RuntimeException

Relation _assoc_view (<unidirectional association>)

Declaration :

- Uml : - _assoc_view : UmlDeploymentView
- C++ : private: UmlDeploymentView * _assoc_view
- Java : private UmlDeploymentView _assoc_view

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation UmlBaseClassView

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseClassView(in id : item_id, in n : string) :
- C++ : protected: UmlBaseClassView(void * id, const QCString & n) : UmlView(id, n)
- Java : protected UmlBaseClassView(long id, String n)

All public operations : apply , applyStereotype , associatedDeploymentView , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDeploymentView , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload